<template>
  <div class="gradient-background"></div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class Gradient extends Mixins(MixinGeneral) {
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;
  created() {
    setTimeout(() => {
      let Time = 10;
      let deg = 90;

      const interval = setInterval(() => {
        if (deg >= 145) clearInterval(interval);
        const Gradient = document.querySelector(
          ".gradient-background"
        ) as HTMLElement;
        Gradient.style.background = `linear-gradient(${deg}deg,${this.hexToRgb(
          this.color1
        )} 50%,${this.hexToRgb(this.color2)}50%)`;
        deg++;
        Time = Time * 3;
      }, Time);
    }, 100);
  }
}
</script>

<style scoped lang="scss">
.gradient-background {
  z-index: -1;
  position: fixed;
  height: 100%;
  width: 100%;
  transition: all 1s;
}
</style>